#!/bin/bash
#
set -x

# preparar el fichero .env
ENV_DIR=/opt/opengnsys/ogGui/etc/
ENV_FILE=$ENV_DIR/.env
mkdir -p $ENV_DIR

# Comprobar si ya se ha instalado ogCore
#if [ -f /opt/opengnsys/ogGui/installer/.deployed ]; then
#    echo "ogCore ya instalado"
#    exit 0
#fi

# Sacar la IP del ogCore de la configuración
ogcore_ip=$(jq -r '.ogcore_ip' /opt/opengnsys/ogGui/installer/config.json)
export OGCORE_IP="$ogcore_ip"

# Si no se ha configurado la IP del ogCore, se intenta obtener de la interfaz de red
if [ -z "$ogcore_ip" ]; then
    # Obtiene el nombre del interfaz asociado a la ruta por defecto
    interface=$(ip route | grep default | awk '{print $5}')

    # Si se encuentra el interfaz, obtiene su dirección IP
    if [ -n "$interface" ]; then
        ip_address=$(ip -o -4 addr show "$interface" | awk '{print $4}' | cut -d'/' -f1)
        ogcore_ip=$ip_address
        # Si no se ha configurado la IP del ogCore, se escribe en el fichero .env
        echo  "NG_APP_BASE_API_URL=https://$ogcore_ip:8443" > $ENV_FILE
        exit 0
    else
        echo "No se pudo determinar el interfaz asociado a la ruta por defecto."
        exit 1
    fi
fi


# Si se ha configurado la IP del ogCore, se escribe en el fichero .env
echo "NG_APP_BASE_API_URL=$OGCORE_IP" > $ENV_FILE

touch /opt/opengnsys/ogGui/installer/.deployed
